View Issue Details

IDProjectCategoryView StatusLast Update
0001193bareos-corewebuipublic2021-06-30 17:17
Reporterfanxp Assigned To 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04
Summary0001193: Need to clear cookies about bareos-webui when log in, otherwise a blank page will appear
Descriptionsometimes I log in, I get a blank page. The following errors appear in the baroes-webui's log when this occurs.

2020/02/13 13:31:30 [error] 29794#29794: *42931 FastCGI sent in stderr: "PHP message: PHP Notice: Undefined variable: form in /usr/share/bareos-webui/module/Auth/view/auth/auth/login.phtml on line 45
PHP message: PHP Fatal error: Uncaught Error: Call to a member function prepare() on null in /usr/share/bareos-webui/module/Auth/view/auth/auth/login.phtml:45
Stack trace:
#0 /usr/share/bareos-webui/vendor/zendframework/zend-view/src/Renderer/PhpRenderer.php(501): include()
0000001 /usr/share/bareos-webui/vendor/zendframework/zend-view/src/View.php(205): Zend\View\Renderer\PhpRenderer->render(NULL)
0000002 /usr/share/bareos-webui/vendor/zendframework/zend-view/src/View.php(233): Zend\View\View->render(Object(Zend\View\Model\ViewModel))
0000003 /usr/share/bareos-webui/vendor/zendframework/zend-view/src/View.php(198): Zend\View\View->renderChildren(Object(Zend\View\Model\ViewModel))
0000004 /usr/share/bareos-webui/vendor/zendframework/zend-mvc/src/View/Http/DefaultRenderingStrategy.php(103): Zend\View\View->render(Object(Zend\View\Model\ViewModel))
0000005 [internal function]: Zend\Mvc\View\Http\DefaultRenderingStrategy->render(Object(Zend\Mvc\MvcEvent))
0000006 /usr/share/bareos-webui/vendor/zendframework/zend-eventmanager/src/EventMa" while reading response header from upstream, client: 10.9.1.1, server: bareos, request: "POST /auth/login HTTP/1.1", upstream: "fastcgi://unix:/var/run/php/php7.2-fpm.sock:", host: "bareos.yfish.x", referrer: "http://bareos.yfish.x/auth/login"

And when I refresh the blank page, I will get the follwing errors appear in the web page.

Access denied
Permission to execute the following commands is required:
list,llist,use,version,.api,.clients,.help
Read the Bareos documentation on how to configure ACL settings in your Console/Profile resources.

At the same time, The following errors appear in the bareos-webui's log.

2020/02/13 13:36:17 [error] 29794#29794: *43062 FastCGI sent in stderr: "PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/share/bareos-webui/module/Application/src/Application/Controller/Plugin/CommandACLPlugin.php on line 53
PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/share/bareos-webui/module/Application/src/Application/Controller/Plugin/CommandACLPlugin.php on line 53
PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/share/bareos-webui/module/Application/src/Application/Controller/Plugin/CommandACLPlugin.php on line 53
PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/share/bareos-webui/module/Application/src/Application/Controller/Plugin/CommandACLPlugin.php on line 53
PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/share/bareos-webui/module/Application/src/Application/Controller/Plugin/CommandACLPlugin.php on line 53
PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/share/bareos-webui/module/Application/src/Application/Controller/Plugin/CommandACLPlugin.php on line 53
PHP message: PHP Warning: array_key_exists() expects parameter 2 to be array, null given in /usr/share/bareos-webui/module/Application/src/Application/Controller/Plugin/CommandACLPlugin.php on line 53" while reading response header from upstream, client: 10.9.1.1, server: bareos, request: "GET /dashboard/ HTTP/1.1", upstream: "fastcgi://unix:/var/run/php/php7.2-fpm.sock:", host: "bareos.yfish.x", referrer: "http://bareos.yfish.x/auth/login"

But if I delete cookies about bareos-webui, the webui works well again.
I have found a similar issue (https://bugs.bareos.org/view.php?id=1047), but I don't find the eventual solutions to my problem in that issue. Basically every time I will meet this issue when I log in, it's troublesome to solve that using the way to delete cookies.
Steps To ReproduceInstall bareos and bareos-webui (version: 19.2.5-1) on Ubuntu 18.04 using apt. Configure bareos and baroes-webui, and log in webui. Sometimes login successfully, sometimes get a blank page.
Tagswebui
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001047 closedarogge Webui login returns a blank page when logging in. 

Activities

frank

frank

2021-06-30 17:17

manager   ~0004174

This should be fixed in the maintanance releases 18.2.10, 19.2.9 and in 20.0.0, too.
If it is still broken in these (or later) releases, please reopen.

Thank you!

Issue History

Date Modified Username Field Change
2020-02-13 07:02 fanxp New Issue
2020-02-13 07:02 fanxp Tag Attached: webui
2021-04-29 10:41 frank Assigned To => frank
2021-04-29 10:41 frank Status new => assigned
2021-06-30 17:15 frank Relationship added related to 0001047
2021-06-30 17:17 frank Note Added: 0004174
2021-06-30 17:17 frank Assigned To frank =>
2021-06-30 17:17 frank Status assigned => closed
2021-06-30 17:17 frank Resolution open => fixed